<script type="text/javascript">
$(document).ready(function() {
    $(function() {
        $("#theList.detail tr:even").addClass("stripe1");
        $("#theList.detail tr:odd").addClass("stripe2");

        $("#theList.detail tr").hover(
            function() {
                $(this).toggleClass("highlight");
            },
            function() {
                $(this).toggleClass("highlight");
            }
        );
    });	
});

	function edit_detail(ID){
		var kode = ID;
						
		$.ajax({
			type	: "POST",
			url	    : "kasir/penjualan/edit.php",
			data	: "kode="+kode,
			dataType: "json",
			success	: function(data){
				$("#txt_nourut").val(data.nourut);
				$("#txt_kodest").val(data.kodest);
				$("#txt_namast").val(data.namast);
				$("#txt_barcode").val(data.barcode);
				$("#txt_satuan").val(data.satuan);
				$("#txt_jmlunit").val(data.jmlunit);
				$("#txt_hgjual").val(data.hgjual);
				$("#txt_discmm").val(data.discmm);
				$("#txt_hgbeli").val(data.hgbeli);
				$("#txt_jumlah").val(data.jumlah);
				cari_barang();
			}
		});		
	}
	
	function cari_barang(){
		var kode = $("#txt_kodest").val();
				
		$.ajax({
			type	: "POST",
			url		: "kasir/penjualan/cari_barang.php",
			data	: "kode="+kode,
			dataType: "json",
			success	: function(data){
				$("#txt_kodest").val(kode);
				$("#txt_namast").val(data.namast);
				$("#txt_barcode").val(data.barcode);
				$("#t_hgjual").val(data.hgjual);
				$("#txt_ungros").val(data.ungros);
				$("#txt_ungros1").val(data.ungros1);
				$("#txt_hggros1").val(data.hggros1);
				$("#txt_hggros2").val(data.hggros2);
				$("#txt_jmlstok").val(data.jmlstok);
				$('#form_lihat_nota').dialog('close');
				$("#txt_caribr").val('');
				$("#txt_jmlunit").focus();
				tampil_gambar();
			}
		});
	}
	
	function tampil_gambar(){
		var kode = $("#txt_kodest").val();
		$("#tampil_gambar").show();
		$("#tampil_gambar").load("kasir/penjualan/tampil_gambar.php?kode="+kode);
	}
	
	function hapus_detail(ID){
		var pilih = confirm('Data yang akan dihapus kode = '+ID+ '?');
		if (pilih==true) {
		var kode = ID;
		$.ajax({
			type	: "POST",
			url	: "kasir/penjualan/hapus.php",
			data	: "kode="+kode,
			success	: function(data){
				$("#info").html(data);
				$('#form_lihat_detail').dialog('close');
				tampil_data_detail();
			}
		});
		}
	}
	
	function tampil_data_detail(){
		var kode = $("#txt_kode").val();
		$("#data_detail").show();
		$("#data_detail").load("kasir/penjualan/tampil_data_detail.php?kode="+kode);
		cari_total();
	}
	
	function cari_total(){
		var kode=$("#txt_kode").val();
		
		$.ajax({
			type	: "POST",
			url	: "kasir/penjualan/cari_total.php",
			data	: "kode="+kode,
			dataType: "json",
			success	: function(data){				
				$("#txt_bruto").val(data.tbruto);
				$("#txt_total").val(data.total);
				$("#txt_ctotal").val(data.total);
				$("#txt_tothpp").val(data.tothpp);
				format_total();
			}
		});
	}
	
	function format_total(){
		var angka = $("#txt_total").val();
		var jhuruf= angka.length;		
				
		$.ajax({
			type	: "POST",
			url		: "kasir/penjualan/format_rupiah.php",
			data	: "angka="+angka+
					"&jhuruf="+jhuruf,
			dataType: "json",
			success	: function(data){				
				$("#txt_ctotal").val(data.huruf);
				var ctotal=$("#txt_ctotal").val();				
			}
		});
	}
</script>

<?php
include '../../inc/inc.koneksi.php';
$kodepj	= $_GET['kodepj'];

echo "<table id='theList' class='detail' width='100%'>
		<tr>
			<th>No.</th>
			<th>Kode</th>
			<th>Nama Barang</th>
			<th>Barcode</th>
			<th>Satuan</th>
			<th>Jml. Unit</th>
			<th>Harga Jual</th>
			<th>Disc. Momen</th>
			<th>Jml. Harga</th>
			<th>Aksi</th>
		</tr>";
		$query = mysql_query("SELECT * FROM faktur_pj WHERE kode_pj='$kodepj' ORDER BY no_urut");
		         
		$no=1;
		$total=0;
		while($r=mysql_fetch_array($query)){
			$kode 	= $r['kode_pj'].';'.$r['no_urut'];
			$total	= $total+$r['jumlah'];
			
			echo "<tr>
				<td align='center'>$no</td>
				<td>$r[kode_st]</td>
				<td>$r[nama_st]</td>
				<td>$r[barcode]</td>
				<td>$r[satuan]</td>
				<td align='center'>".number_format($r['jml_unit'],2)."</td>
				<td align='right'>".number_format($r['hg_jual'],0)."</td>
				<td align='right'>".number_format($r['disc_mm'],2)." %</td>
				<td align='right'>".number_format($r['jumlah'],0)."</td>
				<td align='center'>
					<a href='javascript:void(0)' onClick=\"edit_detail('$kode')\">
					<img src='icon/thumb_up.png' border='0' id='edit' title='Edit' width='12' height='12' ></a>					
					<a href='javascript:void(0)' onClick=\"hapus_detail('$kode')\">
					<img src='icon/thumb_down.png' border='0' id='hapus' title='Hapus' width='12' height='12' ></a>					
				</td>
			</tr>";
			$no++;
		}
		echo "<tr>
			<td></td>
			<td></td>
			<td></td>
			<td></td>
			<td></td>
			<td></td>
			<td></td>				
			<td align='right'>Total</td>
			<td align='right'>".number_format($total,0)."</td>
		</tr>
	</table>";
?>